Package org.eclipse.ecf.core.sharedobject.util

# Interface IQueue

All Superinterfaces:
  `IQueueDequeue`, `IQueueEnqueue`

public interface IQueue extends IQueueDequeue, IQueueEnqueue
Queue that includes both enqueue (`IQueueEnqueue`) and dequeue (`IQueueDequeue`) operations

See Also:
  - `IQueueEnqueue`
  - `IQueueDequeue`

## Method Summary

### Methods inherited from interface org.eclipse.ecf.core.sharedobject.util.IQueueDequeue

`blocking_dequeue, blocking_dequeue, blocking_dequeue_all, dequeue, dequeue, dequeue_all, size`

### Methods inherited from interface org.eclipse.ecf.core.sharedobject.util.IQueueEnqueue

`enqueue, enqueue, enqueue_abort, enqueue_commit, enqueue_lossy, enqueue_prepare, getEnqueueProcessor, setEnqueueProcessor, size`